Copyright: Copyright ® 2000 Novell, Inc.


1st Banner Name

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Specifies the text printed on the upper half of the banner page.  This text can be up to 12 characters long.


2nd Banner Name

Property Page: Novell® Client™ Configuration

Tab: Default Capture

Specifies the text printed on the lower half of the banner page.  This text can be up to 12 characters long.


Accept License Agreement

Property Page: Installation Configuration

Tab: Setup

If this parameter is set to Off, the license agreement appears during installation.  If it is set to On, the license agreement does not appear--but you will be declaring that you accept the agreement on behalf of your organization and are responsible for compliance with the terms and conditions of the agreement by the users in your organization.


Adapter

Property Page:  Novell® Compatibility Mode

Tab:  Adapters

Select the network adapter you want to use.


Adapter (Compatibilty mode property page)
Adapter

Property Page:  Novell® IPX™ Compatibility Adapter

Tab:  Parameters

Select the adapter whose settings you want to modify.  The settings you specify with the Default Settings option apply to all adapters that have the Use Default Settings checkbox set. If the Use Default Settings check box is not checked for an adapter, that adapter will not use the default settings. Any changes you make will apply to any adapters that have not yet been configured.


Add Additional Search Paths

Property Page:  Host Resources MIB Configuration

Tab:  Software Search

After specifying a directory, click Add to add it to the list of Additional Search Paths.


Add Button

After entering the name of a new item, click Add to add the item to the list.


Add Frame Type

Property Page:  IPX™ 32-bit Protocol

Tab:  Advanced IPX

After selecting a frame type, click Add to add it to the list of logical boards that IPX should bind to.


Add Local Modems

Property Page:  Host Resources MIB Configuration

Tab:  Printers and Modems

After specifying a modem, click Add to add it to the list of local modems.


Add Local Printers

Property Page:  Host Resources MIB Configuration

Tab:  Printers and Modems

After specifying a printer, click Add to add it to the list of local printers.


Add Local Tape Drives

Property Page:  Host Resources MIB Configuration

Tab:  Tape Drives

After specifying a tape drive, click Add to add it to the list of local tape drives.


Add Scope
Add

After entering the name of a new item, click Add to add the item to the list.


Add Tree and Name Context Pair

Property Page:  Novell® Client™ Configuration

Tab:  Client

Click this button to add a new tree and name context pair.  Then, enter a tree name and a default context, and then click OK.


Additional Components

Property Page:  Installation Configuration

Tab:  Additional Components

Lists Novell® products that can be installed with the client.  Select the items to install during an unattended install by checking their check boxes.


Additional Search Paths

Property Page:  Host Resources MIB Configuration

Tab:  Software Search

This optional setting specifies directories that the Host Resources MIB searches for program files.

When the check box next to a directory is checked, all subdirectories of that directory are also searched.

The specified directories are searched in addition to those that are searched because of the Directory Levels to Search from Root setting.

The information about the programs is used by the network management console.  It is useful for keeping track of software on client workstations.


Agent List Stale Time

Property Page:  Novell® IPX™ Compatibility Adapter

Tab:  Parameters

Range:  0 to 65535 (minutes)

Default:  15

Specify the minimum interval that must expire before the client refreshes its Migration Agent addressing information.

This setting is only used when the client is dynamically discovering Migration Agents.

A setting of 0 causes the client to not try to refresh the Migration Agent addressing information after the client has discovered a Migration Agent.

If this setting is too high, the client might have a difficult time recovering when a Migration Agent is removed.

If the setting is too low, the client might access network information too often, creating too much traffic.


Allow Backup User

Property Page:  TSA Preferences

Tab:  Preferences

Check this check box to grant the backup rights to the backup user.  The rights granted to the user depend on the group that user belongs to.


Allow Connection Watchdogging

Property Page:  IPX™ 32-bit Protocol

Tab:  SPX™

Default: On

To have SPX honor application requests for connection watchdogging, check this check box.

To force SPX to ignore connection watchdogging requests, uncheck this check box.


Allow IPX Access through Interrupt 64h

Property Page:  IPX 32-bit Protocol

Tab:  IPX

Default:  On

To allow DOS applications to use interrupt 64h to access IPX™ services, check this check box.

If a DOS application is experiencing problems because IPX is hooking interrupt 64h, uncheck this check box.

To allow applications to use interrupt 64h for something other than access to IPX services, uncheck this check box.

If an application works with earlier versions of NetWare® but hangs with NetWare 3.1, uncheck this check box.

Applications should use interrupt 2Fh to get the File Address Register (FAR) call address and then use that address to access IPX services.  This method is preferred because it effectively eliminates conflicting use of interrupt 64h.


Allow IPX Access through Interrupt 7Ah

Property Page:  IPX 32-bit Protocol

Tab:  IPX

Default:  On

To allow DOS applications to use interrupt 7Ah to access IPX™ services, check this check box.

If a DOS application experiences problems because IPX is hooking interrupt 7Ah, uncheck this check box.

To allow applications to use interrupt 7Ah for something other than access to IPX services, uncheck this check box.

If an application works with earlier versions of NetWare® but hangs with NetWare 3.1, uncheck this check box.

Applications should use interrupt 2Fh to get the File Address Register (FAR) call address and then use that address to access IPX services.  This method is preferred because it effectively eliminates conflicting use of interrupt 7Ah.


Ask for Reboot Upon Completion

Property Page:  Installation Configuration

Tab:  Setup

Default:  On

If this parameter is set to On, the final installation screen displays when the installation process ends.  This screen tells the user that the workstation must be rebooted before the new installation takes effect and asks whether to reboot the workstation.

If it is set to Off, the workstation automatically restarts after the installation process is complete.


Ask to Install NetWare/IP

Property Page:  Installation Configuration

Tab:  Setup

Default:  Off

This parameter works with the Install NetWare/IP parameter.  The following scenarios are possible:

AskNetWareIP=No	InstallNetWareIP=No

You are not asked whether you want to install NetWare/IP, and NetWare/IP is not installed.

AskNetWareIP=No	InstallNetWareIP=Yes

NetWare/IP is installed automatically without asking whether you want to install it.

AskNetWareIP=Yes

You are asked whether you want to install NetWare/IP.  Select Yes or No.  If you set AskNetWareIP to Yes, it is not necessary to set the InstallNetWareIP parameter.  You can, however, set the InstallNetWareIP parameter anyway to determine whether the Yes or No button is the default button on the prompt.

AskNetWareIP=Yes	InstallNetWareIP=Yes

The prompt that asks whether you want to install NetWare/IP displays with the Yes button as the default.

AskNetWareIP=Yes	InstallNetWareIP=No

The prompt that asks whether you want to install NetWare/IP displays with the No button as the default.


Ask to Remove Microsoft NetWare Client

Property Page:  Installation Configuration

Tab:  Setup

Default:  Off

If this parameter is set to On, the workstation user is asked whether to delete the Microsoft client during installation.  If it is set to Off, the Microsoft* client is removed without the user being asked.


Ask to Use Novell GINA

Property Page:  Installation Configuration

Tab:  Setup

Default:  Off

If this parameter is set to On, the workstation user is asked whether the Novell® GINA should be used rather than a third-party GINA that has already been installed.  We highly recommend that you set this setting to Off.  If it is set to Off, that dialog box does not appear and the Novell GINA is installed.


Ask to Use Novell GINA if a 3rd Party GINA is Found

Property Page:  Novell® Client™ Configuration

Tab:  Client

Default:  Enabled

If the workstation uses a GINA from any other company other than Novell*, enabling this settings prompts the user and asks whether the Novell GINA should be used instead of the third-party GINA.

If this setting is not enabled and Use Novell GINA if a 3rd Party GINA is Found is enabled, the Novell GINA will be used without the user being prompted.


Auto Detect Configuration

Property Page:  NetWare/IP Configuration

Tab:  Parameters

Default:  Off

Select this parameter if DHCP is configured to provide NetWare*/IP* parameters.


Auto Endcap

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Default:  On

If you want captured data to be closed and sent to the printer after you exit an application, check this check box.  If not, then uncheck this check box.  (The latter allows more information to be added to the print job.)


Auto Register

Property Page:  TSA Preferences

Tab:  Preferences

Check the Auto Register check box if you want to register to the TSAProxy automatically on startup.  Otherwise, you can register by clicking Register on the Registration screen.


Auto Register on Reboot

Property Page:  Target Service Agent

Tab:  TSA Information

Check the Auto Register on Reboot check box if you want to register to the TSAProxy automatically on startup.  Otherwise, you can register by clicking Register on the Registration screen.


Bindery Connection
Bindery Connection check box

Property Page:  Novell® Client™ Configuration

Tab:  Login

When you select Log In to Server, the Bindery Connection check box becomes available.  Check this check box if you want to log in to the server with bindery services rather than with eDirectory™ .


Bindery Login

If you click Bindery, you will log in to a NetWare® server when you log in to the network.  This means that you can access files, applications, and other services available from that server.

If you choose to make a bindery connection, you cannot access other eDirectory™ objects that are not available on that server.


Bitmap Filename

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Nwelcome.bmp

Specifies the bitmap that appears on the welcome screen when you start Windows* NT/2000/XP*.  You can specify any bitmap located in the Windows NT/2000/XP directory.  You can also leave the field blank if you don’t want to use a bitmap.


Broadcast SAP Nearest Server Queries to Network

Property Page:  NetWare/IP Configuration

Tab:  Parameters

Default:  Off

To have the NetWare*/IP* client find the nearest NetWare server by broadcasting the request on the local network, check this check box.  To have the client find the nearest NetWare server by sending the request to a NetWare/IP server or DSS, uncheck this check box.

This is an optional setting for NetWare/IP.


Caption

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Begin Login

Example:  Hello, Maria!

Use this option to specify the text that appears in the header on the welcome screen that appears when you start Windows* NT/2000/XP*.


Clear Current Connections

Property Page:  Novell® Client™ Configuration

Tab:  Login

When this check box is checked, any server connections that you've already made will be cleared when you log in.


Close Script Results Automatically

Property Page:  Novell® Client™ Configuration

Tab:  Default Login

During login, a message box provides information about the progress of the login and the login scripts.  If you check the Close Script Results Automatically check box, this box closes, unless errors occur during the login.


Component

Property Page:  Novell® Client™ Configuration

Tab:  Protocol Preferences

Specifies the component of the selected protocol that you want to configure.


Component is Optional

Property Page:  Installation Configuration

Tab:  This setting appears on multiple component tabs

Default:  Depends on the component

If the Display Initial Screen setting is enabled, the user can choose not to install the component by unchecking the Install This Component check box.


Connection

Property Page:  TSA Preferences

Tab:  Preferences

Check the Connection check box if you want to log connection events.


Connection Service

Use this dialog box to map drives or capture printers that you want to include in your location profile.  When the workstation is started, permanent connections are made to these devices.

The Connection Service dialog box contains the following elements:

Device

Lists the devices that have been mapped or captured.

Path

Lists the path to each device.

Map Drive

Click Map Drive to select a drive to map.

Capture Port

Click Capture Port to select a printer.

Disconnect

Click a device in the the list, then click Disconnect to remove the device from the list.

Remove any user specific Permanent Connections

Check this check box if you want permanent connections to devices for the workstation, but not for individual workstation users.


Contents
Properties Help

This help contains information about the Novell® Client™ for Windows* NT/2000/XP* and Novell Client for Windows 95/98* workstation properties.

The file is designed as context-sensitive help within the property pages.  However, you can use it as a properties reference guide by clicking Index and searching for the information you want.


Control Community

Property Page:  SNMP

Tab:  SNMP

Default:  None

Specifies the name for the control community.

The control community is the read/write community (allowed to do SET operations).

A community name can be any ASCII string.  It can include any characters except space, tab, open square bracket ( [ ), equal sign ( = ), colon ( : ), semicolon ( ; ), double quotation mark ( " ), or number sign ( # ).

Community name strings are case-sensitive.

Any community name established for read/write access is also valid for read-only access.

When the control community is disabled, all write access is disabled.


Custom Configuration

Property Page:  NetWare/IP Configuration

Tab:  Parameters

Default:  On

Select this parameter if DHCP is not configured to provide NetWare*/IP* parameters, or if you need to customize NetWare/IP for this workstation.


Custom Tree

Specify the tree that Workstation Manager uses to manage your workstation.


DOS Long Name Support

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Settings

Parameter Group:  File System

Default:  On

This parameter allows long filenames to appear in the DOS window.


Days To Cache Volatile Users

Property Page:  Novell® Workstation Manager

Tab:  Workstation Manager

Default:  0

If volatile user caching is enabled, you can specify the number of days that volatile users will be cached.  The cache stores the volatile user credentials so they can be used again.


Default Policy Support

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Enabled

After the user logs in to the network with NetWare® Login, the authentication server's \sys\public\winnt directory is searched for ntconfig.pol file.  If the file is found,  the policy  is applied to the user and workstation.


Delete Additional Search Paths
Remove Additional Search Paths

Property Page:  Host Resources MIB Configuration

Tab:  Software Search

After selecting a directory, click Remove to delete it from the list of additional search paths.


Description box

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Settings

This box contains a brief description of the highlighted parameter.


Directory Agent List

Property Page:  Novell® Client™ Configuration

Tab:  Service Location

This is a list of SLP Directory Agent addresses.  Multiple Directory Agent addresses are allowed.  Each address is a fully qualified domain name (DNS), or a dotted decimal IP address.  Directory Agents can also be configured via DHCP, or discovered dynamically.

To add a Directory Agent to the list:

1.	Enter a name.

2.	Click Add.

To remove a Directory Agent from the list:

1.	Click a name in the Directory Agent list.

2.	Click Delete.

To replace a Directory Agent in the list with a new Directory Agent:

1.	Type the name of the new Directory Agent.

2.	Click the name of the item you want to replace

3.	Click Replace.

To move a Directory Agent up in the list:

1.	Click the name of the Directory Agent you want to move.

2.	Click Up until the item is where you want it to be in the list.

To move a Directory Agent down in the list:

1.	Click the name of the Directory Agent you want to move.

2.	Click Down until the item is where you want it to be in the list.


Directory Levels to Search from Root

Property Page:  Host Resources MIB Configuration

Tab:  Software Search

Range:  0 to 256 (levels)

Default:  1

Specifies a number that indicates how far down the eDirectory™ tree the Host Resources MIB searches for program files.

Notes

Zero (0) means that no search is done unless additional search paths are specified.

The first level is the root so, by default, only program files in the root are found.

All local hard disks are searched.  No diskette drives, CD-ROM drives, or network drives are searched.

If you have a lot of local disk space, you should not have the Host Resources MIB search all the disk space.  For optimal performance, minimize the search as much as possible.

The information about the programs is used by the network management console.  It is useful for keeping track of the software on client workstations.


Display Connection Page

Property Page:  Novell® Client™ Configuration

Tab:  Login

Choosing Display Connection Page causes the Connection tab to become visible in the Login window.  The Connection tab allows you to configure the same parameters that appear on the Display Connection Page from the Login window.

You can also enable the Display Connection Page option from the unattend.txt file.

The Display Connection Page section of the Login properties page includes several options:

Log In to Tree button

Log In to Server button

Clear Current Connections check box

Bindery Connection check box


Display Initial Screen

Property Page:  Installation Configuration

Tab:  Setup

Default:  On

Use this parameter to customize the installation process.  If you set the parameter to Yes, the initial ACU or Welcome screen displays when the installation begins.  Set this parameter to No to start the installation without displaying that screen.


Display Script Page

Property Page:  Novell® Client™ Configuration

Tab:  Login

Choosing Display Script Page makes the Script tab visible in the Login window.  Use the Script tab to configure the same parameters that appear on the Display Script Page from the Login window.

The Display Script Page section of the Login properties page includes several options:

Login Script field

Profile Script field

Close Script Results Automatically check box

Run Scripts check box


Display Script Results Window

Property Page:  Novell® Client™ Configuration

Tab:  Default Login

If you want a window to show you how the login is progressing while you log in, check Display Script Results Results Window.


Display Variables Page

Property Page:  Novell® Client™ Configuration

Tab:  Login

Clicking Display Variables Page causes the Variables tab to become visible in the Login window.  The Variables tab allows you to configure the same parameters that appear on the Display Variables Page from the Login window.

You can define up to four variables to be used by the login scripts.


Down

To move an item down one position in the list, select the item and click Down.


Drives Available

Property Page:  TSA Preferences

Tab:  Preferences

All the local drives available are displayed in the Drives Available list box.


Enable Authentication Traps

Property Page:  SNMP

Tab:  SNMP

Default:  Off

If you want to improve the security of your workstation by having Desktop SNMP send a trap message when someone without proper access tries to use SNMP to get or change information managed by Desktop SNMP, check this check box.


Enable Banner

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Default:  Off

If you want a banner page for each print job, check this check box.


Enable Contextless Login

Property Page:  Novell® Client™ Configuration

Tab:  Contextless Login

Default:  Disabled (unchecked)

Check this check box to enable contextless login.  Contextless login makes it possible to log in to the network without specifying an eDirectory™ context.


Enable Control Community

Property Page:  SNMP

Tab:  SNMP

Values:  Specified | Any | Off

Default:  None

The control community is the read/write community (the community that is allowed to do SET operations).

Select one of the following settings:

Specified enables the control community with the community name that is specified.  The Novell® SNMP Agent uses only the specified control community.

Any enables the control community, allowing all community names read and write access.  Any community string can be used to gain access.  The control community that is specified has access just like any other control community.

Off disables the control community.  The control community that is specified cannot access the control community.  Neither can any other community name.  When the control community is disabled, no management entity can access information for that community.  For example, no one can use the Novell SNMP Agent to do SET operations against the data it manages.

Note:  Omitted is no longer a valid value for this setting.


Enable Gateway

Property Page:  IP Gateway

Check this check box to use the Novell® IP Gateway.  When the check box is checked, the Preferred Server and Preferred Tree fields are available.


Enable Monitor Community

Property Page:  SNMP

Tab:  SNMP

Values:  Specified | Any | Off

Default:  Specified

The monitor community is the read-only community that is allowed to do GET and GET NEXT operations.

Select one of the following settings:

Specified enables the monitor community with the community name that is specified.  The Novell® SNMP Agent uses only the specified monitor community.

Any enables the monitor community, allowing all community names read access.  Any community string can be used to gain access.  The monitor community that is specified has access just like any other monitor community.

Off disables the monitor community.  When the monitor community is disabled, all read access is disabled.  The monitor community that is specified cannot access the monitor community.  Neither can any other community name.  When the monitor community is disabled, no management entity can access information for that community.  For example, no one can use the Novell SNMP Agent to do GET operations against the data it manages.

Note:  Omitted is no longer a valid value for this setting.


Enable Source Routing over NDIS

Property Page:  IPX 32-bit Protocol

Tab:  IPX

Default: Off

If you are using an NDIS driver for a token-ring or FDDI network adapter and you want to use source routing, check this check box.

This setting applies to all logical boards presented by all token-ring and FDDI NDIS drivers.

ODI* LAN drivers do not use this functionality.


Enable Tabs

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Default:  Off

If you want to print the specified number of spaces in place of tab characters, check this check box.  If you don't want spaces to be printed in place of tabs, uncheck this check box.  Byte-stream print jobs do not require tabs to be enabled.


Enable This Adapter

Property Page:  Novell® IPX™ Compatibility Adapter

Tab:  Parameters

Default:  Enabled

Check this check box to use the adapter specified in the Adapter field to enable the IPX Compatibility feature over the adapter.

If you have a multiple adapter configuration and want IPX Compatibility to function over some adapters but not all adapters, disable any adapters that you do not want to use Compatibility mode.


Enable Volatile User Caching

Property Page:  Novell® Workstation Manager

Tab:  Workstation Manager

Volatile user credentials can be stored in a cache so that they can be reused.  To enable this option, check the Enable Volatile User Caching check box.  When the check box is checked, the Days to Cache Volatile Users parameter is available.


Enable Workstation Manager

Property Page:  Novell® Workstation Manager

Tab:  Workstation Manager

This check box enables Workstation Manager.  When the box is checked, the other options on the Workstation Manager tab become available.


Events to Log

Property Page:  TSA Preferences

Tab:  Preferences

Use the Events to Log group box to specify the events to be logged:

ction

Registration

Security

Service


Filtered Service Type List

Property Page:  Novell® Client™ Configuration

Tab:  Service Location

You can specify specific service types that will be registered in a specific filtered scope in the Registration Filter Scope List.  The service types that you specify for each filtered scope are unique to that filtered scope.

To a create specific service type for a filtered scope:

1.	Highlight the specific filtered scope in the Registration Filter Scope List.

2.	In the Filtered Service Type List, enter the service type and click Add.

3.	Repeat Step 2 to add additional service types to this filtered scope.


First Network Drive

Property Page:  Novell® Client™ Configuration

Tab:  Client

Default:  F

This parameter sets the first network drive to the drive letter of choice when you connect to a NetWare® server.

The first network drive applies to any user logging in to the network using the workstation where it is set.


Force Reboot Regardless of Other Applications

Property Page:  Installation Configuration

Tab:  Setup

Default:  Disabled

Warning:  Enabling this option could result in lost data.

If this setting is enabled, the workstation automatically restarts after the Client is installed.  Any open applications are closed without saving any unsaved data.

If this setting is disabled, the workstation will not be restarted, unless the Reboot Upon Completion parameter is enabled.  If Reboot upon Completion is enabled and Force Reboot Regardless of Other Applications is disabled, workstation users can save data and close applications before the workstation shuts down.


Form Feed

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Default:  Off

If you want the printer to add blank piece of paper at the end of the print job, check this check box.


Frame Type

Property Page:  IPX 32-bit Protocol

Tab:  Advanced IPX

Default:  Ethernet_802.2

After selecting a frame type, click Add to add it to the list of frame types that you want IPX™ to use.

A few commonly used frame types are Ethernet_802.2, Ethernet_802.3, Ethernet_II, Ethernet_SNAP, Token-Ring, and Token-Ring_SNAP.


Frame Type of Primary Logical Board

Property Page:  IPX 32-bit Protocol

Tab:  Advanced IPX

Default:  Ethernet_802.2

Specifies the frame type of the logical board that IPX™ uses as the primary board.

A few commonly used frame types are Ethernet_802.2, Ethernet_802.3, Ethernet_II, Ethernet_SNAP, Token-Ring, and Token-Ring_SNAP.


Gateway List Stale Time

Property Page:  Novell® Compatibility Mode

Tab:  Adapters

Default:  250


Hold

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Default:  Off

To put a hold on print jobs, check this check box.


IP Only

Installs the IP protocol stack, which allows the client to run in IP-only networks. If you choose this option, the workstation will not be able to communicate with IPX servers.


IP and IPX

This option allows the client to run in both IP and IPX networks. The workstation uses the same protocol as the server it is communicating with.


IP with Compatibility Mode
IP with IPX Compatibility Mode

Installs IP and includes Compatibility mode, which allows IPX applications to run in IP-only networks by converting IPX packets into IP packets. IPX Compatibility mode also allows the client to communicate with services in IPX-only networks if the Migration Agent is installed on any NetWare 5 or later servers. IPX Compatibility mode depends on the Service Location Protocol (SLP).


IPX Compatibility Scope

Property Page:  Novell IPX Compatibility Adapter

Tab:  Parameters

Default:  No scope specified

If you want to set an SLP scope on your network to contain only Compatibility mode service information, specify an IPX Compatibility scope.

In most situations, it is not necessary to specify an IPX™ Compatibility scope.

If you specify a scope, you must specify the same scope on all nodes that use Compatibility mode.

If you do not specify a scope, the workstation uses the SLP scopes that you configure on the Service Location tab of the Novell® Client™ Configuration property page.


IPX Diagnostics Enabled

Property Page:  IPX 32-bit Protocol

Tab:  IPX

Default:  On

To enable the IPX™ diagnostics function, check this check box.

Uncheck this check box only if you don't want an administrator to be able to query IPX and SPX™ statistics for this workstation.


IPX Only

This option allows the client to run in IPX-only networks. This option does not install IP.

If your network is only running a version of NetWare prior to NetWare 5, install the Novell Client with the IPX Only option.


IPX Retry Count

Property Page:  IPX 32-bit Protocol

Tab:  IPX

Range:  0 to 65535 (tries)

Default:  20

Indicates the number of times the workstation should try to find a route to a destination.

Incrementing this number also increments the SPX™ retry count.

If IPX™ or SPX applications are timing out, increase the value of this setting.

IPX uses this setting differently than it did for previous NetWare® clients.


Install NetWare/IP

Property Page:  Installation Configuration

Tab:  Additional Components

Check this check box if you want to install NetWare*/IP* when you install the Novell® Client™ software.

This parameter works with the Ask to Install NetWare/IP parameter. See Ask to Install NetWare/IP for a list of possible scenarios.


Install This Component

Property Page:  Installation Configuration

Tab:  Multiple component tabs

Default:  Depends on the component

If Install This Component is enabled, the component will be installed.


Internal Version: Major

Property Page:  Installation Configuration

Tab:  Various component tabs

Range:  0 through 4,294,967,295

Default:  0

The Major and Minor version numbers determine when the client upgrades.  To force the upgrade, make the version number higher than it is when the client was first installed. (For example, if the number is 0, make it a 1.)  ACU compares the version numbers at client login, finds the discrepancy, and upgrades the client to the system's newer files.


Internal Version: Minor

Property Page:  Installation Configuration

Tab:  Various component tabs

Range:  0 through 4,294,967,295

Default:  0

The Major and Minor version numbers determine when the client upgrades.  To force the upgrade, make the version number higher than it is when the client was first installed. (For example, if the number is 0, make it a 1.)  ACU compares the version numbers at client login, finds the discrepancy, and upgrades the client to the system's newer files.


Keep

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Default:  Off

If you want to keep print jobs in the print queue after they are printed, check this check box.


Line Draw Characters

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Settings

Parameter Group:  Connection

Valid values:  1 to 6

The six characters determine the border of the NWPOPUP message and have the following meanings:

1 = Top left

2 = Top right

3 = Bottom left

4 = Bottom right

5 = Vertical line

6 = Horizontal line


Local Modems

Property Page:  Host Resources MIB Configuration

Tab:  Printers and Modems

This optional setting specifies information about the modem used by this workstation.  This information is used by the network management console.


Local Printers

Property Page:  Host Resources MIB Configuration

Tab:  Printers and Modems

This optional setting specifies information about the printers attached to this workstation.  This information is used by the network management console.


Local Tape Drives

Property Page:  Host Resources MIB Configuration

Tab:  Tape Drives

This optional setting specifies information about the tape drives used by this workstation.  This information is used by the network management console.


Location Profiles

Property Page:  Novell® Client™ Configuration

Tab:  Location Profiles

Location profiles allow a network administrator to save the information from a user's  login into one profile.  When the user selects this profile when logging in, the profile automatically sets up login information such as the user's name, server, context, login script, and other applicable information so that the user does not have to type this information.

To add a location profile:

1.	Right-click the N icon in the sytem tray and click Novell Client Properties > Location

2. 	Type the name of the profile you want to add.

3. 	Click Add.

To remove a location profile:

1. 	Click the name of the profile you want to remove.

2. 	Click Remove.

To view a profile's properties:

1.	Click the name of the profile.

2.	Click Properties.


Log In to Server

Property Page:  Novell® Client™ Configuration

Tab:  Default Login

Click Log In to Server to log in to a NetWare® server when logging in to the network.  This means that you can access files, applications, and other services available from that server.

When you click Log In to Server, the Bindery Connection check box becomes available.  If you choose to make a bindery connection, you cannot access other eDirectory™ objects that are not available on that server.


Log In to Tree

Property Page:  Novell® Client™ Configuration

Tab:  Default Login

Click Log In to Tree to log in to an eDirectory™ tree when you log in to the network.  This allows you to access services such as printers and servers that are available on that tree.


Login Script

Property Page:  Novell® Client™ Configuration

Tab:  Login

Sets the name of the login script that you want to use when logging in to NetWare®.


Maximum Transmission Unit

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Settings

Parameter Group:  SLP General

Range:  576 to 4096 (bytes)

Default:  1400


Message Sound File

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Settings

Parameter Group:  Graphical Interface

Default:  Empty

Specifies the name of the sound file that plays when a message is received.  The sound file must be in the .wav format.  If no file is specified, no sound is played.


Migration Agents

Property Page:  Novell® IPX™ Compatibility Adapter

Tab:  Parameters

Range:  Maximum 10 Migration Agents

Default:  Empty

Specify up to ten Migration Agent servers that provide connectivity between IPX nodes and IP nodes.

To specify the servers, you can use dotted addresses, fully qualified DNS names, or names contained in the local host file.

When no Migration Agents are configured, the client tries to dynamically detect Migration Agents through SLP.


Monitor Community

Property Page:  SNMP

Tab:  SNMP

Default:  Public

Specifies the name for the monitor community, which is the read-only community that is allowed to do GET and GET NEXT operations.

A community name can be any arbitrary ASCII string.  It can include any characters except space, tab, open square bracket ( [ ), equal sign ( = ), colon ( : ), semicolon ( ; ), double quotation mark ( " ), or number sign ( # ).

Community name strings are case-sensitive.

When the monitor community is disabled, all read access is disabled.


NDS Login
eDirectory Login

If you click eDirectory™, you will log in to an eDirectory tree when you log in to the network.  This allows you to access services such as printers and servers that are available on that tree.


NDS or Bindery
eDirectory or Bindery Login

Select the method you want to use when you log in to the network.

If you click eDirectory™, you will log in to an eDirectory tree when you log in to the network.  Choosing this option allows you to access services such as printers and servers that are available on that tree.

If you click Bindery, you will log in to a NetWare® server when you log in to the network.  This means that you can access files, applications, and other services available from that server. You cannot access other eDirectory objects that are not available on that server.


Name Context

Property Page:  Novell® Client™ Configuration

Tab:  Client

Default:  Root

Sets your current position, or context, in the eDirectory™ tree structure.  For example, ou=mngt.o=marketing specifies the Mngt organizational unit in the Marketing organization as the context.

If duplicate usernames exist, use this setting to specify the context for the username you want.

The name context can be up to 256 characters long plus the NULL command, which indicates the root of the eDirectory tree.


Name Resolution Order

Property Page:  Novell® Client™ Configuration

Tab:  Protocol Preferences

Default Order: NWHOST, NDS, SLP, DNS, DHCP

This list specifies the order in which protocols are used to attempt to resolve names.

For example, if a NetWare® 5 or later server has both IP* and IPX™ bound (or CMD), the client resolves the name of that server through one of the IP name services if they are in the list.  Then, the client attempts the IPX name services if IPX is the second choice in the Protocol Order box, using the naming services that support IPX addresses.

In the NT/2000/XP client, these are not listed by order and there is no default order.

All configured name service providers are queried asyncronously in order to resolve the name to an address.  They are first queried with a cache flag that allows name service providers (NSP) who maintain a cache to attempt to resolve the name.  If no NSP resolves the name then they are queried again without the cache flag allowing all NSPs to attempt to resolve the name.  The client waits either the time specified by the Name Resolution Timeout (under the advanced settings - default 10 seconds) or until all the queried NSP's respond with either NOT_FOUND or NO_MORE.


Nearest NetWare/IP Servers

Property Page:  NetWare/IP Configuration

Tab:  Servers

Default:  None

Examples:

mydss	(hostname)

mydss.atlantic.com	(fully qualified hostname)

222.33.44.55	(IP address for mydss)

222.33.0.0	(IP address mask for mydss)

This optional setting is used for locating the nearest NetWare*/IP* servers.  You can specify up to five NetWare/ IP servers.  If the specified servers are not available, the DSS will provide others to use.

Specify the NetWare/IP server names as DNS hostnames, fully qualified hostnames, IP addresses, or IP address masks.


NetWare Storage of Roaming Profile

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

To enable a roaming profile, check this check box.


NetWare/IP 1.1 Compatibility

Property Page:  NetWare/IP Configuration

Tab:  Parameters

Default:  Off

If your servers are running NetWare*/IP* 1.1 pre-patch, check this check box.  This setting supports the first version of NetWare/IP and DSS servers.  If your servers are running NetWare/IP 1.1 pre-patch, we recommended that you upgrade with the patch or to version 2.2.  In the interim, checking this box allows this (NetWare/IP 2.2-compliant) client to communicate with the NetWare/IP servers.


NetWare/IP Domain Name

Property Page:  NetWare/IP Configuration

Tab:  Parameters

Default:  None

Example:  nwip.atlantic.com

This required setting for NetWare*/IP* specifies the NetWare/IP Domain that is configured for your area.


Network Number (Hex)

Property Page:  Novell® IPX™ Compatibility Adapter

Tab:  Parameters

Default:  FFFFFFFD

Specifies the network number of the virtual IPX segment (CMD Network Number) created by the IPX Compatibility driver over the selected adapter.

IP Nodes using different CMD Network Numbers must communicate through Migration Agents that support their same CMD Network Number when running IPX Client/Server applications.


Network Protocols

Novell® Client™ for Windows* supports the Internet Protocol (IP) running natively on a NetWare® 5* server. If you use the client with a version of NetWare other than NetWare 5, you can use NetWare/IP for IP connectivity. Novell Client also supports the IPX™ /SPX™ family of protocols. The client can coexist with other protocol stacks, such as NetBEUI protocols.

Novell Client can be installed with one of the following protocol options:

IP Only

IP with IPX Compatibility

IP and IPX (Default)

IPX

Allows the client to run in IPX-only networks. This option does not install IP.

Note: If your network is only running a version of NetWare prior to NetWare 5, install the Novell Client with the IPX option.


Notify

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Default:  On

If you want to receive a message when the print job is printed, check this check box.


Number of Copies

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Range:  1 to 255

Default:  1

Specifies the number of copies to print.


Number of Seconds Between Retries

Property Page:  NetWare*/IP* Configuration

Tab:  Parameters

Range:  5 to 99 (seconds)

Default:  10

Specifies the number of seconds to wait between retries of an unanswered DSS request.


Number of Spaces

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Range:  1 to 18

Default:  disabled, 8

Specifies the number of spaces that are printed in place of tab characters.  You must check the Enable Tabs check box for this setting to take effect.


Parameter Groups

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Settings

List the advanced parameters by parameter groups.  Parameter groups sort the parameters by function.  This makes it easier to find specific types of parameters.


Parameters List

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Settings

Lists the available advanced parameters for the Novell® Client™ software.

For information about a specific parameter select the parameter and read the description in the Description box.


Password (TSA)
Password

Property Page:  Target Service Agent

Tab:  TSA Information

Enter the password that the TSA user must enter.


Path

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

When you choose this option, the Path edit box becomes available.  Use this edit box to specify where the profile should be stored.


Policy Path and Filename

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

To specify your policy path and filename, enter the path to your policy file in the Policy Path and Filename text box.  The path must be a valid UNC path.

UNC-style pathnames do not use the usual MS-DOS* pathname convention (drive:\directory).  Instead, use the following format:

\\server\volume\dir1\dir2\filename.ext


Port Number

Property Page:  NetWare/IP Configuration

Tab:  Parameters

Default:  ABCD

If Use NWIP Custom Port is enabled, specify the port you want to use for NetWare*/IP* in this field.


Pre-allocate VGNMA Memory

Property Page: IPX™ 32-bit Protocol

Tab: IPX

Default: Off

To allocate conventional memory for VGNMA operation, check this check box.  Preallocate VGNMA memory for 16-bit GNMA Responder applications if they don't work correctly otherwise.


Preferred Domain SAP/RIP Servers

Property Page:  NetWare*/IP* Configuration

Tab:  Servers

Default: None

Examples:

dss	 (hostname)

dss.atlantic.com	 (fully qualified hostname)

2.33.44.55	 (IP address for mydss)

2.33.0.0	 (IP address mask for mydss)

Specifies the Domain SAP/RIP servers that you want to use as your preferred domain SAP/RIP servers.

The addresses and names are used as a guide for locating preferred domain SAP/RIP servers.  If none of the domain SAP/RIP servers is available, DNS is queried for the Domain SAP/RIP Server list.

You can specify up to five domain SAP/RIP servers that you consider preferred.

Specify the domain SAP/RIP server names as hostnames, fully qualified hostnames, IP addresses, or IP address masks.


Preferred IP/IP Gateway Server

Property Page:  IP Gateway

Tab:  Novell IP Gateway

Specify the server that is running the Novell® IP gateway you want to use.


Preferred IPX/IP Gateway Server

Property Page:  IP Gateway

Tab:  Novell IP Gateway

Specify the server that is running the Novell® IP gateway you want to use.


Preferred Network Protocol

Property Page:  Novell® Client™ Configuration

Tab:  Protocol Preferences

Parameter Group:  Name Resolution

Values: None, IP, IPX

Default: None

The client will wait up to one quarter of the Name Resolution Timeout value to resolve the specified name to an address of the preferred network type.  Setting this value to 0 allows the client to connect to the first address returned from one of the configured name space providers.


Preferred Server

Property Page:  Novell® Client™ Configuration

Tab:  Client

Specifies the server that eDirectory™ should authenticate the user to when the Novell® Client™ software is started.  This setting causes the client to attempt to create a connection to the specified server.

The Preferred Server and Preferred Tree parameters work together.  If the Preferred Server parameter is set, eDirectory attempts to authenticate the user to that server.  If the Preferred Tree parameter is set, eDirectory sends a Get Nearest Server message and attempts to authenticate the user to the server that responds to the message, regardless of whether the a Preferred Server is set.

The preferred server applies to any user logging in to the network using this workstation.


Preferred Server (IP Gateway)
Preferred Server

Property Page:  IP Gateway

Specify the server that is running the Novell® IP Gateway that you want to use.

This option is available only if Enable Gateway is checked.


Preferred Server (TSA)

Property Page:  TSA Preferences

Tab:  Preferences

Use the Preferred Server field to specify the name of the server the TSA should register to.


Preferred Tree

Property Page:  Novell® Client™ Configuration

Tab:  Client

The Preferred Tree parameter specifies the Directory tree you attach to first when you start the Novell® Client™ software.  This setting causes the client to attempt to create a connection to a server in the specified tree.

If the Preferred Tree parameter is set, the client attempts to connect to any server in that tree.  If there is no tree set, it attempts to connect to the configured preferred server.  If neither is set, then the client connects to any server that responds to its Get Nearest Server request.

The preferred tree applies to any user logging in to the network using this workstation.  To log in to a different tree, you can change your tree for this login session when logging in to the network.


Preferred Tree (IP Gateway)
Preferred Tree

Property Page:  IP Gateway

Specify the tree containing the server that is running the Novell® IP Gateway that you want to use.

This option is available only if Enable Gateway is checked.


Primary Logical Board

Property Page:  IPX 32-bit Protocol

Tab:  Advanced IPX

Default:  Unchecked (IPX™ automatically detects the primary board)

To specify which logical board IPX should use as the primary board, check this check box.  You specify the logical board by specifying a frame type.

By default, IPX automatically detects the primary board.  IPX uses a self-discovery algorithm to automatically select a primary board when this option is not selected.  Use this option if IPX fails to select the correct primary board.


Profile Script

Property Page:  Novell® Client™ Configuration

Tab:  Login

Specify an alternate eDirectory™ profile script to use when you log in.  This profile script will be run instead of your normal eDirectory profile script.


Properties

Property Page:  Novell® Client™ Configuration

Tabs:  Location Profiles, Services

Click Properties to view the properties of the selected profile or service instance.


Protocol

Property Page:  TSA Preferences

Tab:  TSA Information

TSA supports multiple protocols. At present, two protocol options are provided: SPX™ /IPX™ and TCP/IP. Only the Protocols whose protocol stacks are installed on the workstation are displayed.  You can choose any one of the options using the Protocol drop-down list.


Protocol (Client property page)
Protocol

Property Page: Installation Configuration

Tab: Client

This parameter specifies the network protocols the client uses for communication.


Protocol (Protocol Preferences property page)
Protocol

Property Page:  Novell® Client™ Configuration

Tab:  Protocol Preferences

Click the protocol you want to configure.


Protocol Component Setting

Property Page:  Novell® Client™ Configuration

Tab:  Protocol Preferences

Use this list to select the items that will be used by the selected protocol component.


Protocol Order

Property Page:  Novell® Client™ Configuration

Tab:  Protocol Preferences

Default Order: IP, IPX

Use the Protocol Order list to specify the sequence of protocols the Novell® Client™ uses when trying to connect to a server.  For example, if the list contains IPX™ and IP, in that order, the client first tries to connect using IPX.  If an IPX connection cannot be made, the client tries again, using IP.


Reboot Upon Completion

Property Page:  Installation Configuration

Tab:  Setup

Default:  Enabled

If this setting is enabled, the workstation automatically restarts after the Novell® Client™ software is installed.  If any applications are running, you are given the chance to save open files before the workstation shuts down.

If this setting is enabled and Force Reboot Regardless of Other Applications is also enabled, the workstation shuts down and restarts without giving you the chance to save open files.

If this setting is disabled, the workstation will not reboot after the client installation.  The new client and any new settings will not go into effect until the workstation is restarted.


Registration

Property Page:  TSA Preferences

Tab:  Preferences

Check the Registration check box if you want to log registration events.


Registration Filter Scope List

Property Page:  Novell® Client™ Configuration

Tab:  Service Location

This is a list of registration filter scope names that will be reported to SLP applications on this workstation.  Multiple scope names are allowed.  When registering services, this list is used in addition to the general Scope List already created.

Use Strict Registration Filtering

To limit the registration filter scope to this specific list of scopes, check the Use Strict Registration Filtering check box.

Filtered Service Type List

To list specific service types that will be registered in a specific scope in the Registration Filter Scope List, highlight that scope and enter the service types in the Filtered Service Type List, then click Add.


Remove

To delete an item from the list, select the item and then click Remove.


Remove Button

Property Page:  NetWare*/IP* Configuration

Tab:  Servers

Removes a server from the Nearest NetWare/IP Servers or Preferred Domain SAP/RIP Servers list.


Remove Frame Type

Property Page:  IPX™ 32-bit Protocol

Tab:  Advanced IPX

After selecting a frame type to remove from the list, click Remove.


Remove IPX

Check this check box when installing the IP Only client if you want to remove any IPX stack that has previously been installed on the workstation.

Warning: If you remove IPX, the workstation cannot communicate with IPX servers and applications.


Remove Local Modems

Property Page:  Host Resources MIB Configuration

Tab:  Printers and Modems

After selecting a modem to delete from the list, click Remove.


Remove Local Printers

Property Page:  Host Resources MIB Configuration

Tab:  Printers and Modems

After selecting a printer to delete from the list, click Remove.


Remove Local Tape Drives

Property Page:  Host Resources MIB Configuration

Tab:  Tape Drives

After selecting a tape drive to delete from the list, click Remove.


Remove Microsoft NetWare Client

Property Page:  Installation Configuration

Tab:  Client

Default:  On

If this parameter is set to On, the Microsoft* NetWare® client will be removed if the dialog box asking whether you want to remove the client does not appear.  If the dialog box does appear, the Yes button will be the default button.


Remove Tree and Name Context Pair

Property Page:  Novell® Client™ Configuration

Tab:  Client

After selecting a tree and name context pair to delete from the list, click Remove.


Replace

To replace an existing item in the list with a new item, enter the name of a new item, select an existing item, and then click Replace.


Replace Additional Search Paths

Property Page:  Host Resources MIB Configuration

Tab:  Software Search

After specifying a directory to replace and then selecting a replacement directory from the Additional Search Paths list, click Replace.


Replace Button

Property Page:  NetWare*/IP* Configuration

Tab:  Servers

Replaces a server in the Nearest NetWare/IP Servers or Preferred Domain SAP/RIP Servers list.


Replace Local Modems

Property Page:  Host Resources MIB Configuration

Tab:  Printers and Modems

Specify a modem to replace, select a replacement modem from the Local Modems list, then click Replace.


Replace Local Printers

Property Page:  Host Resources MIB Configuration

Tab:  Printers and Modems

Specify a printer to replace, select a replacement printer from the Local Printers list, then click Replace.


Replace Local Tape Drives

Property Page:  Host Resources MIB Configuration

Tab:  Tape Drives

Specify a tape drive to replace, select a replacement tape drive from the Local Tape Drives list, then click Replace.


Replace Tree and Name Context Pair

Property Page:  Novell® Client™ Configuration

Tab:  Client

Select a tree and name context pair to replace, click Replace, and then enter the new tree and name context information in the appropriate fields.


Resources Available to TSA

Property Page:  Target Service Agent

Tab:  TSA Information

Lists the resources that can be backed up by TSA.


Retries to DSS during Startup

Property Page:  NetWare*/IP* Configuration

Tab:  Parameters

Range:  0 to 10 (retries)

Default:  1

Specifies the number of times to retry an unanswered DSS request.


Run Scripts

Property Page:  Novell® Client™ Configuration

Tab:  Login

If this check box is not checked, your login scripts will not run when you log in.


SPX Abort Timeout

Property Page:  IPX™ 32-bit Protocol

Tab:  SPX

Range:  1 to 65535 (ticks)

Default:  540

Specifies how long (in ticks) the SPX™ protocol should wait without receiving any response from the other side of the connection before it terminates the session.

You should not adjust this setting unless SPX is timing out too soon.


SPX Connections

Property Page:  IPX™ 32-bit Protocol

Tab:  SPX

Range:  1 to 255

Default:  15

This setting is provided for compatibility with applications that query this information and make decisions based on it.

SPX™ does not use this setting to limit the number of SPX connections.  The number of SPX connections is limited only by the amount of available memory.


SPX Listen Timeout

Property Page:  IPX™ 32-bit Protocol

Tab:  SPX

Range:  1 to 65535 (ticks)

Default:  108

Specifies how long (in ticks) the SPX™ protocol waits without receiving a packet from the other side of the connection before it requests the other side to send a packet to confirm that the connection is still valid.

You should not adjust this setting unless SPX is timing out too soon.


SPX Verify Timeout

Property Page:  IPX™ 32-bit Protocol

Tab:  SPX

Range:  1 to 65535 (ticks)

Default:  54

Specifies how often (in ticks) the SPX™ protocol sends a packet to the other side of a connection to indicate that it exists.

If no packets are being exchanged on the SPX connection by the software that established the session, SPX sends packets at regular intervals to verify its presence in the connection.

You should not adjust this setting unless SPX is timing out too soon.


Save Settings When Exiting Login

Property Page:  Novell® Client™ Configuration

Tab:  Login

If you check this check box, the settings you changed or entered are saved when you leave the NetWare® Login configuration page.  If you do not check the check box, your settings are not saved.


Scope List

Property Page:  Novell® Client™ Configuration

Tab:  Service Location

This is a list of scope names to be reported to SLP applications on this workstation.  Multiple scope names are allowed.  The list order reflects the preference order.  Scopes can also be configured via DHCP or discovered dynamically from Directory Agents.

A scope is like a collection of services within a logical group. You might want to use a scope to create a group of directory agents and services registered with these directory agents in a large organization.

To add a Scope to the list:

1.	Enter a name.

2.	Click Add.

To remove a Scope from the list:

1.	Click a name in the list.

2.	Click Delete.

To replace a Scope in the list with a new Scope:

1.	Type the name of the new Scope.

2.	Click the name of the item you want to replace.

3.	Click Replace.

To move a Scope up or down in the list:

1.	Click the name of the Scope you want to move.

2.	Click Up or Down until the item is where you want it to be.


Search Timeout (sec.)

Property Page:  Novell® Client™ Configuration

Tab:  Contextless Login

Range:  0 to 999 (seconds)

Default:  2

Specify the maximum amount of time (in seconds) that you want Novell Login to search eDirectory™ for the specified user.  If you set this value too low, the search might time out before the user is located.  If you set it too high, a search for an invalid or unavailable user might take too long.

You might set this value low to begin with.  Then, if you experience timeouts during searches, adjust the number upward slightly until searches are consistently successful.


Seconds before Timeout

Property Page:  Novell® Client™ Configuration

Tab:  Default Capture

Range: 0 to 1000 (seconds)

Default:  0

Specifies the number of seconds the operating system waits after the last data is received before closing the print job.


Security

Property Page:  TSA Preferences

Tab:  Preferences

Check the Security check box if you want to log security events.


Server

Property Page:  IP Gateway

The name of the server the IP Gateway is being used on.


Server Name

Property Page:  Target Service Agent

Tab:  TSA Information

Use the Server Name field to specify the name of the server the TSA should register to.


Server Resolution Time

Property Page:  Novell® IPX™ Compatibility Adapter

Tab:  Parameters

Range:  0 to 5000 (milliseconds)

Default:  250

Specifies the maximum amount of time used to determine whether a server known by its IPX address is actually an IP server before establishing a NetWare Connection.  The client attaches to the server using a TCP/IP connection if an IP server is discovered that supports the IPX address within the specified time period.  The client will attach to the server using a tunelled IPX connection if the specified period expires before detecting an IP server that supports the IPX address.

Note: This setting is used when IPX applications request that the client establish NetWare connections or when the user wants to connect to an IPX server.


Service

Property Page:  TSA Preferences

Tab:  Preferences

Check the Service check box if you want to log service events.


Service (Location Profile)
Service

Property Page:  Location Profile Properties

Tab:  Services

Use this field to select either Connection Service or Login Service.

If you select Login Service, you can configure your login settings.


Service Instance

Property Page: L ocation Profile Properties

Tab:  Services

Enter the name for a new service instance, or select an existing service instance from the drop-down list. Click Add when you've finished.


Setting

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Settings

The current setting of the selected parameter.


Show Advanced Button on Login

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Specifies whether the Advanced button on the Login dialog box is enabled.  This button leads to various tabs that help you to specify advanced login parameters.


Show Clear Connections on Login

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Specifies whether the Clear Connections checkbox appears in the Login dialog box.  The check box allows you to clear all previous connections when you create a new connection to the network.


Show Location List on Login

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Specifies whether the Location list in the Login dialog box is enabled.  The list shows recent places where the user has logged in.


Show TSA Icon on Taskbar

Property Page:  Target Service Agent

Tab:  TSA Information

Check this check box if you want the TSA icon to appear on the task bar.


Show Variables Button on Login

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Specifies whether the Variables button in the Login dialog box is enabled.  The button allows you to enter login script variables used when the user logs in.


Show Workstation Only on Login
Workstation Only

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Check this check box if you want the Workstation Only check box to be availabe when users log in.

Check the Workstation Only check box in the Login dialog box if you want to log in to the Windows* workstation without logging in to the NetWare® network.


Static

Check the Static check box if you don't want the list to be supplemented by scopes that are discovered dynamically from Directory Agents.

If you check the Static check box for the Directory Agent list, SLP requests will be sent to the Directory Agents whose addresses or DNS names have been configured in the list.  Otherwise, SLP will send requests to all Directory Agents advertised in the network.


Status

Property Page:  IP Gateway

Shows the status of the IP Gateway.

The possible status numbers and their explanations:

0   =   Gateway disabled

1   =   Gateway not connected

2   =   Gateway connection in progress

3   =   Gateway access timed out

4   =   Gateway server busy

5   =   Gateway access denied

6   =   Gateway connected

7   =   No gateway server found

8   =   Gateway server rejected connection

9   =   Local network down

10 =   Gateway client aborted connection

11 =   Gateway server reset connection


Store Profile in User Home/Mail Directory

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

This button is available only if the NetWare® Storage of Roaming Profile check box is checked on the Advanced Login property page.

Select the Store Profile in User Home/Mail Directory option to store the roaming profile on the network.  The user's Mail directory is used for bindery connections and the user's Home directory is used for eDirectory™ connections.

Storing the user profile on the network gives the user the same desktop environment on all workstations throughout the network.  Any changes made to the user environment on one workstation will be saved to the profile stored on the network.  The environment specified in the profile will be available on any and all workstations where the user subsequently logs in.


Store Profile in a NetWare File System Directory

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

This button is available only if the NetWare Storage of Roaming Profile check box is checked on the Advanced Login property page.

Select the Store Profile in a NetWare File System Directory option to store the roaming profile in a specific directory on a NetWare® server.  This option stores the profile of any user who logs in to the workstation in the specified directory.  This option is recommended primarily for use with mandatory profiles.

Storing the user profile on the network allows the user to utilize the same desktop environment on all workstations throughout the network.  Any changes made to the user environment on one workstation will be saved to the profile stored on the network.  The environment specified in the profile will be available on any and all workstations where the user subsequently logs in.

When you select this option, the Path edit box becomes available.  Use this edit box to specify where the profile should be stored.


System Contact

Property Page:  SNMP

Tab:  SNMP

Default:  None

This optional setting specifies the name of the system administrator (network administrator) for your workstation.  Use the real name (not the username, etc.) of the person who should be contacted if your workstation needs maintenance.

It informs the SNMP manager of your workstation's system administrator, and this contact information can be retrieved by SNMP management stations.

It can be used by itself or with the System Name or System Location information.


System Location

Property Page:  SNMP

Tab:  SNMP

Default: None

This optional setting specifies the physical location of your workstation.

It informs the SNMP manager of the physical location of your workstation, and this location information can be retrieved by SNMP management stations.

It can be used by itself or with the System Contact or System Name information.


System Name

Property Page:  SNMP

Tab:  SNMP

Default:  None

This optional setting specifies your username.  Use your user or login name--or your TCP/IP hostname, if one is assigned.  For example, if your login name is KSMITH, specify KSMITH.

It informs the SNMP manager of your username. This username information can be retrieved by SNMP management stations.

It can be used by itself or with the System Contact or System Location information.


Trademarks, Copyright, Disclaimer, and Patents

Copyright © 1994-2003 Novell, Inc.  All rights reserved.  No part of this publication may be reproduced, photocopied, stored on a retrieval system, or transmitted without the express written consent of the publisher.

U.S. Patent Nos. 5,157,663; 5,349,642; 5,455,932; 5,553,139; 5,553,143; 5,594,863; 5,608,903; 5,633,931; 5,652,854; 5,671,414; 5,677,851; 5,692,129.  U.S. and Foreign Patents Pending.

Novell, Inc. makes no representations or warranties with respect to the contents or use of this documentation and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose.  Further, Novell, Inc. reserves the right to revise this publication and to make changes to its content, at any time, without obligation to notify any person or entity of such revisions or changes.

Further, Novell, Inc. makes no representations or warranties with respect to any Novell software, and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose.  Further, Novell, Inc. reserves the right to make changes to any and all parts of Novell software, at any time, without any obligation to notify any person or entity of such changes.

Novell Trademarks

eDirectory is a trademark of Novell, Inc.

Internetwork Packet Exchange and IPX are trademarks of Novell, Inc.

NetWare is a registered trademark of Novell, Inc. in the United States and other countries.

NetWare 4 is a trademark of Novell, Inc.

NetWare 5 is a trademark of Novell, Inc.

NetWare Core Protocol and NCP are trademarks of Novell, Inc.

NetWare/IP is a trademark of Novell, Inc.

Novell is a registered trademark of Novell, Inc. in the United States and other countries.

Novell Client is a trademark of Novell, Inc.

Open Data-Link Interface and ODI are trademarks of Novell, Inc.

Packet Burst is a trademark of Novell, Inc.

Sequenced Packet Exchange and SPX are trademarks of Novell, Inc.

Third-Party Trademarks

International Business Machines and IBM are registered trademarks of International Business Machines Corporation.

Microsoft is a registered trademark of Microsoft Corporation.

MS-DOS is a registered trademark of Microsoft Corporation.

Network Driver Interface Specification and NDIS are trademarks of PC-Plus Communications LP.

Windows is a registered trademark of Microsoft Corporation.

Windows 95/98 is a trademark of Microsoft Corporation.

Windows NT/2000/XP is a registered trademark of Microsoft Corporation.


Tree

Property Page:  Novell® Client™ Configuration

Tab:  Client

This list is part of the Tree and Name Context Pair parameter, which specifies the location of each User object in the eDirectory™ tree for NetWare® 4* and later users using NDS.  This parameter pair does not apply if you are logging in to a NetWare server using bindery services.

The name context applies to any user logging in to a specified tree using this workstation.  Because it is possible to log in to multiple trees, each tree has its own designated name context.  You can change the tree and the name context when you log in.  However, a user can have only one name context in any one tree.


Tree (login)
Tree

Specify the tree that Workstation Manager uses to manage your workstation.


Tree and Catalog Pair

Property Page:  Novell® Client™ Configuration

Tab:  Contextless Login

During a login session, usable catalogs are automatically found.  You can specify Tree and Catalog pairs to force contextless login to use a specific catalog for each tree in the list.


Tree and Name Context Pair

Property Page:  Novell® Client™ Configuration

Tab:  Client

Specifies the location of each User object in the eDirectory™ tree for NetWare® 4* and later users using NDS.  It does not apply if you are logging in to a NetWare 3* server or a NetWare 4 server using bindery services.

The name context applies to any user logging in to a specified tree using this workstation.  Because it is possible to log in to multiple trees, each tree has its own designated name context.  You can change the tree and the name context when you log in.  However, a user can have only one name context in any one tree.


Trusted Tree

Property Page:  Novell® Workstation Manager

Tab:  Workstation Manager

Specifies the trusted tree used by Workstation Manager.


Up

Select an item from the list and click Up to move that item up one position in the list.


Update Any Components if Any are Out of Date
Update All Components if Any are Out of Date

Property Page:  Installation Configuration

Tab:  Setup

Default:  Enabled

If this check box is checked, all components will be updated if any installed component versions are older than the new versions. If this check box is not checked, then only the outdated components will be updated.


Use All Detected Frame Types

Property Page:  IPX 32-bit Protocol

Tab:  Advanced IPX

Default:  On

Specifies whether IPX™ automatically binds to all logical boards that it detects.

When this parameter is set to On, IPX automatically binds to all logical boards.  The LAN drivers don't need to be loaded before IPX.  If IPX detects that a LAN driver is loaded, it then binds to the logical boards presented by that LAN driver.

If IPX doesn't need to use all the logical boards that are presented to it, you can improve the performance of your workstation by using the Use Only the Following Frame Types setting to specify only those logical boards that are needed.


Use Context (DHCP)

Property Page:  Novell® Client™ Configuration

Tab:  DHCP Settings

Default:  Disabled

Queries the DHCP server for context information and sets this information in the Login Service section of the location profile selected from the drop-down list.


Use DHCP

Property Page:  Novell® IPX™ Compatibility Adapter

Tab:  Parameters

Default:  Enabled

When DHCP is enabled, IPX Compatibility drivers attempt to obtain Network Number, Agent List Stale Time, and Migration Agent parameter configuration information through DHCP.  If no configuration information can be obtained through DHCP, Compatibility mode uses default settings.


Use Default Settings

Property Page:  Novell® IPX™ Compatibility Adapter

Tab:  Parameters

Default:  Enabled

If Use Default Settings is enabled, the adapter will use the settings specified when you select Default Settings under the Adapter field.

If Use Default Settings is disabled, then the adapter will use the settings that you specify for it.


Use NWIP Custom Port

Property Page:  NetWare/IP Configuration

Tab:  Parameters

Default:  Off

For networks where the default NWIP port (0xABCD) is not used.  Configuring the correct NWIP default port will improve NWIP client startup in NetWare*/IP* 2.2 networks.


Use Novell GINA
Use Novell GINA if a 3rd Party GINA is Found

Property Page: Installation Configuration

Tab:  Client

Default:  On

Specifies whether the Novell® Client™ for Windows* NT/2000/XP* GINA Authenticator is installed when a third-party GINA is detected.

If the Ask to Use Novell GINA parameter is set to No and the Use Novell GINA If a 3rd Party GINA Is Found setting is set to Yes, then the Novell GINA is always installed.

If the Ask to Use Novell GINA parameter is set to No and the Use Novell GINA If a 3rd Party GINA Is Found parameter is set to No, then the Novell GINA will not be used if a third-party GINA exists (except for the Microsoft* GINA, which is always replaced).

If the Ask to Use Novell GINA parameter is set to Yes, then the Use setting determines which button on the dialog box is the default button.


Use Only the Following Frame Types

Property Page:  IPX 32-bit Protocol

Tab:  Advanced IPX

Default:  Off

Specifies the logical boards that IPX™ binds to.  To specify the logical boards, select the frame type.  Each time you select a frame type, click Add to add it to the list.

If IPX doesn't need to use all the logical boards that are presented to it, you can improve the performance of your workstation by using this setting to specify only those logical boards that are needed.


Use Tree (DHCP)

Property Page:  Novell® Client™ Configuration

Tab:  DHCP Settings

Default:  Disabled

Queries the DHCP server for tree information and sets this information in the Login Service section of the location profile selected from the drop-down list.


User

Property Page:  IP Gateway

Shows the name of the user who is using the IP Gateway.


User name (TSA)
User Name

Property Page:  Target Service Agent

Tab:  TSA Information

Enter the name of the user who is allowed to run the Target Service Agent on the workstation.


Variables %2
Variables

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

You can define up to four variables to be used by the login scripts.  You or your network administrator can set up your login scripts to use these variables.

For example, you might define one variable to map a drive to the mail server.

To define a variable:

Note: To complete this procedure, you must first check the Advanced Button and Variables Button check boxes on the Advanced Login property page.  If there is no Advanced button on your NetWare Login dialog box, you will know that those check boxes have not been checked.

1. Right-click the red N icon in the System Tray.

2. Click NetWare Login > Advanced > Script > Variables.

3. Enter the variables you want to use in the appropriate fields.  Variables can be up to 64 characters long.

These parameters are equivalent to the corresponding parameters you can pass in the LOGIN command in DOS.


Variables %3
Variables

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

You can define up to four variables to be used by the login scripts.  You or your network administrator can set up your login scripts to use these variables.

For example, you might define one variable to map a drive to the mail server.

To define a variable:

Note: To complete this procedure, you must first check the Advanced Button and Variables Button check boxes on the Advanced Login property page.  If there is no Advanced button on your NetWare Login dialog box, you will know that those check boxes have not been checked.

1. Right-click the red N icon in the System Tray.

2. Click NetWare Login > Advanced > Script > Variables.

3. Enter the variables you want to use in the appropriate fields.  Variables can be up to 64 characters long.

These parameters are equivalent to the corresponding parameters you can pass in the LOGIN command in DOS.


Verbose

Property Page:  NetWare/IP Configuration

Tab:  Parameters

Default:  Off

If you need to troubleshoot NetWare*/IP*, check this check box..  Additional NetWare/IP messages are logged when this parameter is set to On.


Version

Property Page:  Novell® Client™ Configuration

Tab:  Client

Shows the version number of the client.


Wildcard Searching Allowed

Property Page:  Novell® Client™ Configuration

Tab:  Contextless Login

Default:  Disabled (unchecked)

If you allow wildcard searching, you can use wildcards in the username, rather than having to enter the entire username.

For example, a user with the username JLOPEZ could enter JLOPEZ* as the search string.


Workstation NDS Refresh Rate
Workstation eDirectory Refresh Rate

Property Page:  Novell® Workstation Manager

Tab:  Workstation Manager

Range:  1 to 60000 (minutes)

Default:  540

After the Workstation Manager service authenticates, it periodically polls eDirectory™ to see if any scheduled actions have been associated to or removed from the workstation.  This setting allows a network administrator to change the time between the refreshes.


ticks
Tick

There are approximately 18.21 ticks per second on IBM* PCs and compatibles.  Therefore, you can assume the following:

3 seconds is about 54 ticks

30 seconds is about 545 ticks

1 minute is about 1090 ticks

5 minutes is about 5460 ticks


variables %4
Variables

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

You can define up to four variables to be used by the login scripts.  You or your network administrator can set up your login scripts to use these variables.

For example, you might define one variable to map a drive to the mail server.

To define a variable:

Note: To complete this procedure, you must first check the Advanced Button and Variables Button check boxes on the Advanced Login property page.  If there is no Advanced button on your NetWare Login dialog box, you will know that those check boxes have not been checked.

1. Right-click the red N icon in the System Tray.

2. Click NetWare Login > Advanced > Script > Variables.

3. Enter the variables you want to use in the appropriate fields.  Variables can be up to 64 characters long.

These parameters are equivalent to the corresponding parameters you can pass in the LOGIN command in DOS.


variables %5
Variables

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

You can define up to four variables to be used by the login scripts.  You or your network administrator can set up your login scripts to use these variables.

For example, you might define one variable to map a drive to the mail server.

To define a variable:

Note: To complete this procedure, you must first check the Advanced Button and Variables Button check boxes on the Advanced Login property page.  If there is no Advanced button on your NetWare Login dialog box, you will know that those check boxes have not been checked.

1. Right-click the red N icon in the System Tray.

2. Click NetWare Login > Advanced > Script > Variables.

3. Enter the variables you want to use in the appropriate fields.  Variables can be up to 64 characters long.

These parameters are equivalent to the corresponding parameters you can pass in the LOGIN command in DOS.


New/ revised topics added Sept 2002- February 2003 are located below this point.


Use Server (DHCP)

Property Page:  Novell® Client™ Configuration

Tab:  DHCP Settings

Default:  Disabled

Queries the DHCP server for server information and sets this information in the Login Service section of the location profile selected from the drop-down list.

If the DHCP Binary Data check box is checked, the data received from the DHCP server is an IP address (binary data).

If the check box is not checked (default), the data received from the DHCP server is a server name (string data).


LDAP Contextless Login Enabled
Enable LDAP Contextless Login

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

Default:  Disabled

To enable LDAP contextless login, check this check box.  You must have LDAP Services for eDirectory* installed on your corporate server hosting the corporate tree to take advantage of LDAP contextless login.


LDAP Contextless Login Port

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

Specify the port that LDAP contextless login uses to communicate with the LDAP server.


LDAP Contextless Login Timeout
LDAP Contextless Login Connection Timeout

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

Default:  10 seconds

Specify the number of seconds that LDAP contextless login will wait before a request is canceled.


LDAP Contextless Login Certificate
LDAP Contextless Login Certificate Name and Location

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

Specify the path to and the name of the certificate on the workstation that will be used by LDAP contextless login to establish a secure connection to the LDAP server.


LDAP Tree List

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

Lists trees running LDAP Services that will be searched during login.


LDAP Tree Add Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

To add a tree running LDAP Services to the list of trees that will be searched during login, enter a tree name in the Trees box, then click Add.


LDAP Tree Delete Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

To delete one or more trees running LDAP Services, select the trees and then click Delete.  This tree will no longer be searched during login.


LDAP Tree Properties Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

To set a tree’s context scope information, select a tree from the list, then click Properties. You can limit the scope of the search by selecting Search Context Only.


LDAP Server List

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

Lists the servers associated with the tree running LDAP Services.


LDAP Server Add Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

To add a server associated with the tree running LDAP Services, enter a server name in the Servers box, then click Add. Servers are searched in the order they appear in this list.  You can rearrange the search order.


LDAP Server Delete Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

To delete one or more LDAP servers, select the servers and then click Delete.


LDAP Server Properties Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

To set the LDAP server timeout settings and data encryption settings, select the server from the list, then click Properties.


LDAP Server Up Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

Select the server you want to move in the search list, then click Up.  The server is moved up one place in the search list.  Servers are searched in the order they appear in the list.


LDAP Server Down Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

Select the server you want to move in the search list, then click Down.  The server is moved down one place in the search list.  Servers are searched in the order they appear in the list.


Enable LDAP Context Search Scope

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: Context Search Scope

Default:  Disabled

You can limit the search scope to a specific context or to a specific context and subtree.


Context List

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: Context Search Scope

Lists the contexts in the tree that LDAP contextless login will search.  Contexts will be searched in the order they appear in the list.

Type the context as a distinguished LDAP context with comma delimiters (for example: ou=organizational_unit,o=organization).

LDAP contextless login will search for the user from the specified context in the tree.

You can specify more than one context search scope.  Context search scopes are searched in the order they appear in the list. You can rearrange the search order.


Context Add Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: Context Search Scope

Type the context to be searched by LDAP contextless login, then click Add.  The context must be a distinguished LDAP context with comma delimiters (for example: ou=organizational_unit,o=organization).

LDAP contextless login will search for the user from the specified context in the tree.


Context Delete Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: Context Search Scope

Select one or more contexts in the tree that you want to delete from the LDAP contextless login search list, then click Delete. The deleted contexts will no longer be searched.


Context Replace Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: Context Search Scope

Select a context to replace in the Contexts list, then type the new context information in the Contexts text field and click Replace.  The context must be a distinguished LDAP context with comma delimiters (for example: ou=organizational_unit,o=organization).  The older context information is replaced with the new context information and the context’s order in the list is maintained.


Context Up Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: Context Search Scope

Select the context you want to move in the search list, then click Up.  The context is moved up one place in the search list.  Contexts are searched in the order they appear in the list.


Context Down Button

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: Context Search Scope

Select the context you want to move in the search list, then click Down.  The context is moved down one place in the search list.  Contexts are searched in the order they appear in the list.


Enable Treeless Login
Enable LDAP Treeless Login

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

Default:  Disabled

To enable treeless login, check this check box.  Treeless login makes it possible to log in to the network without specifying a tree.


LDAP Contextless Login Clear-Text Passwords
LDAP Contextless Login Unencrypted Data

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: LDAP Server Properties

Select Unencrypted Data to enable passwords to be transmitted in clear-text format.  Using unencrypted data is not as secure as using SSL.


 LDAP Contextless Login Encrypted Data (SSL)

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: LDAP Server Properties

To encrypt data using Secure Socket Layer (SSL) , select Encrypted Data (SSL).


LDAP Contextless Login Encrypted Data (SSL) Port

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: LDAP Server Properties

Specify the port that LDAP contextless login uses to communicate with the LDAP server using SSL encryption.


LDAP Contextless Login Search Timeout

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: LDAP Server Properties

Default:  10 seconds

Specify the number of seconds that LDAP contextless login will search before a search is cancelled.


Context Search Context and Subtree
Search Context and Subtree

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login: Context Search Scope

To enable a search in the specified context and any containers in that context, select Search Context and Subtree.


Context Search Context Only
Search Context Only

Property Page:  Novell® Client™ Configuration

Tab:  LDAP Contextless Login

To enable a search in the specified context only, select Search Context Only.


Enable Update Agent

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Default:  Disabled

To enable the launching of the Novell Client Update Agent, check the Enable Novell Client Update Agent check box.  The Update Agent checks for a new version of the Novell Client at the designated interval and from the designated locations.  The Update Agent is launched as a part of the login process.  If you do not want the Update Agent to launch, uncheck this check box.


Update Agent Launch Interval

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Default:  7 days

Set the interval (in days) that the Novell Client Update Agent will check for a new version of the Novell Client.


Enable Update Agent Location

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Default:  Disabled

Check to enable the Novell Client Update Agent to look for a new version of the Novell Client in the designated update location.

The Update Agent checks for updates in the following order of enabled locations: first, it checks the Update Location; second, it checks the Previous Install Location; and third, it checks the Novell Client Update Web Site Location.

Note:  The Update Agent looks in each enabled location for valid file types and stops when it locates valid file types. Ensure that you have the latest files in the first location that the Update Agent searches.


Update Agent Location

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Specify the location where the Update Agent will check for new versions of the Novell Client software.  This can be a UNC path, mapped drive, or URL.


Enable Update Agent Previous Install Location

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Default:  Disabled

To enable the Novell Client Update Agent to look for a new version of the Novell Client software in the same location where the Novell Client software was installed from during the last install, check this check box.  This location is not editable.

The Update Agent check for updates in the following order of enabled locations: first, it checks the Update Location; second, it checks the Previous Install Location; and third, it checks the Novell Client Update Web Site Location.

Note:  The Update Agent looks in each enabled location for valid file types and stops when it locates valid file types. Ensure that you have the latest files in the first location that the Update Agent searches.


Update Agent Previous Install Location

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Displays the location where the current Novell Client was installed from. This location is not editable.


Enable Novell Client Update Web Site

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Default:  Disabled

To enable the Novell Client Update Agent to look for a new version of the Novell Client in the designated update Web site, check this box.

The Update Agent check for updates in the following order of enabled locations: first, it checks the Update Location; second, it checks the Previous Install Location; and third, it checks the Novell Client Update Web Site Location.

Note:  The Update Agent looks in each enabled location for valid file types and stops when it locates valid file types. Ensure that you have the latest files in the first location that the Update Agent searches.


Novell Client Update Web Site Location

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Novell provides a Web-based update to users. If the Enable Novell Client Update Web site check box is checked, the Novell Client software can be installed from this location.


 Update Agent Unattend File

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Specify the name of the unattend file that the Update Agent will use to determine if the Novell Client should be updated.  The unattend file must be located in the Update Location or the Previous Install Location if they are enabled. The unattend file will not be used with the Novell Client Update Web Site.


Enable Update Agent Support Pack Update

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Default:  Disabled

To enable the Novell Client Update Agent to look for a Novell Client support pack in the designated update locations, check this box.

Note:  The Update Agent looks in each enabled location for valid file types and stops when it locates valid file types. Ensure that you have the latest files in the first location that the Update Agent searches.


 DHCP Binary Data Check Box

Property Page:  Novell® Client™ Configuration

Tab:  DHCP Settings

Default:  Disabled

If the DHCP Binary Data check box is checked, the data received from the DHCP server is an IP address (binary data).

If the check box is not checked (default), the data received from the DHCP server is a server name (string data).


Initial Novell Login Bypass

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Enabled

To disable the initial Novell Login window when the workstation is started, uncheck this check box.


OEM Extended ASCII Character Password
OEM Extended ASCII Password

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Disabled

To enable the use of the OEM extended ASCII characters in passwords, check this box.  You should only use OEM extended ASCII characters if you have legacy software that requires you to use the OEM Code Page.

The latest versions of Novell Client support extended ASCII characters using the UNICODE code page and do not need this setting to be enabled in order to handle special characters such as s Ñ, or €.


NMAS Authentication

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Enabled

To enable the use of Novell Modular Authentication Services (NMAS) during login, check this box.  NMAS authentication adds additional security to the network.  However, if your network does not use NMAS, login may take additional time and you might want to disable NMAS authentication.


Show Tree on Login

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Enabled

Specifies whether the Tree is displayed in the Login dialog box is enabled.


Show Tree Button on Login

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Enabled

Specifies whether the Tree browse button is displayed in the Login dialog box.


Show Context on Login

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Enabled

Specifies whether the Context is displayed in the Login dialog box.


Show Context Button on Login

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Enabled

Specifies whether the Context browse button is displayed in the Login dialog box.


Show Force Logoff Button

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Default:  Disabled

Specifies whether the Force Logoff button is displayed in the Login dialog box that is displayed when the workstation is locked. Force Logoff allows you to terminate the previously logged in user’s Novell Client session even if he locked the workstation.

Warning: Any unsaved work that the previous user had open will be lost.  To maintain open applications and current network connections, log in using the previously logged in username and password.


Suppress Single Sign-on for this Login

Property Page:  Novell® Client™ Configuration

Tab:  Advanced Login

Specifies whether the Suppress single sign-on for this Login checkbox appears in the Login dialog box.  This checkbox only appears on the Login dialog box if the Novell single sign-on product is installed on the workstation.  The checkbox allows you to disable the single sign-on process for the current login attempt.


New/ revised topics added March 2003- April 2003 are located below this point.

In addition to these new topics, the following sections were changed to delete the word Automatic or automatically (due to a product change):

Enable Update Agent

Update Agent Launch Interval

Enable Update Agent Location

Update Agent Location

Enable Update Agent Previous Install Location

Update Agent Previous Install Location

Enable Novell Client Update Web Site

Novell Client Update Web Site Location

Update Agent Unattend File

Enable Update Agent Support Pack Update

Changes were made to the following LDAP sections:


Supress Update Prompt
Suppress Update Prompt

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Default:  Disabled

To suppress the update prompt that appears when the Update Agent determines that an update is required, check this check box. The user will not be prompted and the update will start without intervention.


Install NICI and NMAS
Install NMAS

Property Page:  Installation Configuration

Tab:  Setup

Default:  Enabled

If this check box is checked, Novell Modular Authentication Services™  (NMAS™) is installed. NMAS is an integral part of password authentication used in NetWare®  6.5 or later. If you do not use NMAS in your network, login may take additional time if this product is installed. Uncheck this box to bypass installing this product.

Note: If you install this product, you can disable its use by turning off NMAS Authentication on the Novell Client Configuration Advanced Login page.


Install NetIdentity

Property Page:  Installation Configuration

Tab:  Setup

Default:  Enabled

If this box is checked, the NetIdentity agent is installed. The NetIdentity agent works with Novell® Client™ authentication to provide background authentication to Web-based applications that require Novell eDirectory™  authentication, such as Novell iManager, iPrint, and Novell iFolder®.

If the agent is installed and users authenticate to eDirectory through Novell Client login or through a Web-based application that uses the NetIdentity agent, the user will not be prompted to log in when he or she opens another application that requires eDirectory authentication.

If this box is unchecked, the NetIdentity agent is not installed and users must log in to each application separately.


Enable Update Agent Administrator Rights

Property Page:  Novell® Client™ Configuration

Tab:  Update Agent

Default:  Enabled

To ensure that the Novell Client Update Agent has Administrator rights on the workstation, check this box.  The Update Agent must have Administrator rights to update the Novell Client. This is useful when the user who logs in to the workstation is not the workstation Administrator user.

If the check box is not checked, the Update Agent will be launched with the rights of the currently logged-in user.


Install NICI

Property Page:  Installation Configuration

Tab:  Setup

Default:  Enabled

If this check box is checked, Novell® International Cryptographic Infrastructure (NICI) is installed. NICI is required by Novell Modular Authentication Services™  (NMAS™) as well as other Novell products. If you do not use NMAS or other Novell products that require NICI, you do not need to install this product.  Uncheck this box to bypass installing this product.